lbzip2_2.5-1_amd64.deb


Advertisement

Description

lbzip2 - fast, multi-threaded bzip2 utility

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name lbzip2
Package version 2.5
Package release 1
Package architecture amd64
Package type deb
Installed size 149 B
Download size 82.51 KB
Official Mirror ftp.br.debian.org
lbzip2 is an independent, multi-threaded implementation of bzip2. It is
commonly the fastest SMP (and uniprocessor) bzip2 compressor and decompressor.
lbzip2 integrates nicely with GNU tar.

Alternatives

Package Version Architecture Repository
lbzip2_2.5-1_i386.deb 2.5 i386 Debian Main
lbzip2 - - -

Requires

Name Value
libc6 >= 2.17

Download

Type URL
Binary Package lbzip2_2.5-1_amd64.deb
Source Package lbzip2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lbzip2 deb package:
    # sudo apt-get install lbzip2

Files

Path
/usr/bin/lbunzip2
/usr/bin/lbzcat
/usr/bin/lbzip2
/usr/share/doc/lbzip2/changelog.Debian.gz
/usr/share/doc/lbzip2/changelog.gz
/usr/share/doc/lbzip2/copyright
/usr/share/man/man1/lbunzip2.1.gz
/usr/share/man/man1/lbzcat.1.gz
/usr/share/man/man1/lbzip2.1.gz

Changelog

2014-03-26 - Mikolaj Izdebski <zurgunt@gmail.com>
lbzip2 (2.5-1) unstable; urgency=low
* New upstream release:
- new sequential mode of operation,
- fixed several major and minor bugs.
* debian/patches/automake-1.14: Remove patch, upstream has switched
to Automake 1.14.
* debian/control: Bump Standards-Version to 3.9.5.
* debian/copyright: Update copyright to new upstream release.
2013-10-13 - Mikolaj Izdebski <zurgunt@gmail.com>
lbzip2 (2.3-1) unstable; urgency=low
* New upstream release:
- fixed bug which prevented symbolic links to be opened in some
situations, closes: #700680,
- fixed several other minor bugs.
* debian/patches/automake-1.14: Add patch fixing compatibility with
GNU Automake 1.14; closes: #725516.
* debian/control:
- bump Standards-Version to 3.9.4,
- bump automake build-dependency version to 1.14,
- bump gnulib build-dependency version to prevent FTBFS,
- add link to new upstream home site.
* debian/rules: Enable verbose make output to silence the
"compiler-flags-hidden" warning.
* debian/watch: Update to reflect upstream website changes.
* debian/copyright: Update copyright to new upstream release.
2012-08-20 - Mikolaj Izdebski <zurgunt@gmail.com>
lbzip2 (2.2-2) unstable; urgency=low
* debian/rules: Add a working build-arch target, closes: #685418.
2012-08-20 - Mikolaj Izdebski <zurgunt@gmail.com>
lbzip2 (2.2-1) unstable; urgency=low
* New upstream release:
- limited memory allocation, closes: #645999,
- improved bzip2 compatibility, closes: #582476,
- fixed several other minor bugs, closes: #673378.
* debian/control:
- drop version requirements on autotools,
- bump Standards-Version to 3.9.3.
* debian/copyright:
- remove comment about maintainers involved in creation of the package,
- update to reflect new upstream version.
* debian/rules: execute Bourne shell scripts with sh instead of perl.
* debian/compat: Bump to 9.
* debian/watch: Use github.com directly instead of githubredir.
2011-12-07 - Mikolaj Izdebski <zurgunt@gmail.com>
lbzip2 (2.1-2) unstable; urgency=low
* debian/control: add Vcs-Git and Vcs-Browser.
* debian/copyright: Update DEP-5 Format URL.
* debian/patches/stream-crc: Add patch fixing upstream bug #5.
* New maintainer. Closes: 651052
* debian/rules: Add override_dh_builddeb.
2011-11-27 - Mikolaj Izdebski <zurgunt@gmail.com>
lbzip2 (2.1-1) unstable; urgency=low
* New upstream release; fixes a security vulnerability.
* debian/control: Simplify description.
2011-11-05 - Mikolaj Izdebski <zurgunt@gmail.com>
lbzip2 (2.0-1) unstable; urgency=low
* New upstream release.
* debian/control:
- update description,
- update maintainer info,
- bump debhelper dependancy to 8,
- bump Standards-Version to 3.9.2,
- add new build dependences (autoconf, automake, gnulib).
* debian/rules: rewrite from scratch.
* debian/copyright: rewrite in DEP-5 format.
* debian/watch: update to githubredir.debian.net.
* debian/compat: bump to 8.
2010-03-03 - Laszlo Ersek <lacos@caesar.elte.hu>
lbzip2 (0.23-1) unstable; urgency=low
* New upstream release implements process termination with SIGPIPE and
SIGXFSZ. This matches the traditional UNIX(R) utility behavior more, and
should improve cooperation with GNU tar.
* Adapt the "man-inst-paths" patch to the updated manual page.
2010-02-19 - Laszlo Ersek <lacos@caesar.elte.hu>
lbzip2 (0.22-1) unstable; urgency=low
* New upstream release fixes a SUSv2-nonconformity in the "lfs.sh" build
script.
* As Daniel Baumann <daniel@debian.org> advised:
- remove all prerequisites of "binary-indep" in debian/rules,
- reformat debian/copyright to a list of "Header: value" pairs.

See Also

Package Description
lcab_1.0b12-7_amd64.deb create cabinet (.cab) archives
lcalc_1.23+dfsg-3_amd64.deb program for calculating with L-functions
lcas-interface_1.3.19-2_all.deb Local Centre Authorization Service API
lcas-lcmaps-gt4-interface_0.3.0-2_amd64.deb Mapping interface between Globus Toolkit and LCAS/LCMAPS
lcd4linux_0.11.0~svn1200-3_amd64.deb Grabs information and displays it on an external lcd
lcdf-typetools_2.104~dfsg-1_amd64.deb tools for OpenType, multiple-master, and Type 1 fonts
lcdproc-extra-drivers_0.5.7-2_amd64.deb extra drivers for the LCD display driver daemon
lcdproc_0.5.7-2_amd64.deb LCD display driver daemon and clients
lcl-1.2.4_1.2.4+dfsg2-1_amd64.deb Lazarus Components Library - LCL suite
lcl-gtk2-1.2.4_1.2.4+dfsg2-1_amd64.deb Lazarus Components Library - GTK+ backend
lcl-gtk2_1.2.4+dfsg2-1_all.deb Lazarus Components Library - GTK+ backend dependency package
lcl-nogui-1.2.4_1.2.4+dfsg2-1_amd64.deb Lazarus Components Library - no GUI backend
lcl-nogui_1.2.4+dfsg2-1_all.deb Lazarus Components Library - no GUI backend dependency package
lcl-qt4-1.2.4_1.2.4+dfsg2-1_amd64.deb Lazarus Components Library - Qt backend
lcl-qt4_1.2.4+dfsg2-1_all.deb Lazarus Components Library - Qt backend dependency package
Advertisement
Advertisement